Cocoon API: Class Page

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Class Page

    java.lang.Object
      |
      +--org.apache.cocoon.framework.Page

All Implemented Interfaces:
  Cacheable, Changeable, java.io.Serializable

public class Page
extends java.lang.Object
implements java.io.Serializable, Changeable, Cacheable

The Page wrapper class.

Version:
  $Revision: 1.6 $ $Date: 2000/12/22 11:51:08 $
Author:
  Stefano Mazzocchi
See Also:
  Serialized Form

Constructor Summary
`Page()`

Method Summary
`java.util.Enumeration` | `getChangeables()`
`java.lang.String` | `getContent()`
`java.lang.String` | `getContentType()`
`boolean` | `hasChanged(java.lang.Object context)` Returns false if the requested resource hasn't changed, true otherwise.
`boolean` | `isCacheable(javax.servlet.http.HttpServletRequest request)` Returns whether this request is suitable for cacheing.
`boolean` | `isCached()`
`boolean` | `isText()`
`void` | `setCached(boolean cached)`
`void` | `setChangeable(Changeable change)`
`void` | `setContent(java.lang.String content)`
`void` | `setContentType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Page

    public Page()

Method Detail

### getContent

    public java.lang.String getContent()

### setContent

    public void setContent(java.lang.String content)

### getContentType

    public java.lang.String getContentType()

### setContentType

    public void setContentType(java.lang.String type)

### isText

    public boolean isText()

### getChangeables

    public java.util.Enumeration getChangeables()

### setChangeable

    public void setChangeable(Changeable change)

### isCached

    public boolean isCached()

### hasChanged

    public boolean hasChanged(java.lang.Object context)

  Description copied from interface: `Changeable`
  Returns false if the requested resource hasn't changed, true otherwise. This method is called by the cache system to ensure the validity of the cached response. It is the producer responsibility to provide the fastest possible implementation of this method or, whether this is not possible and the costs of the change evaluation is comparable to the production costs, to return true directly with no further delay, thus reducing the evaluation overhead to a minimum. This method is guaranteed to be called after at least a single call to any production methods getStream or getDocument. The context is the trigger of the changeable point and may differ between implementations.
  Specified by:
    `hasChanged` in interface `Changeable`

### isCacheable

    public boolean isCacheable(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `Cacheable`
  Returns whether this request is suitable for cacheing.
  Specified by:
    `isCacheable` in interface `Cacheable`

### setCached

    public void setCached(boolean cached)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.